Package tigase.server.cluster.strategy.cmd

# Class CachingCmdAbstract

java.lang.Object
tigase.cluster.api.CommandListenerAbstract
tigase.server.cluster.strategy.cmd.CachingCmdAbstract

All Implemented Interfaces:
  `Comparable<tigase.cluster.api.CommandListener>`, `tigase.cluster.api.CommandListener`

Direct Known Subclasses:
  `TrafficSyncCmdAbstract`

public abstract class CachingCmdAbstract extends tigase.cluster.api.CommandListenerAbstract

Author:
  kobit

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CONNECTION_ID`
  `static final String`
  `CREATION_TIME`
  `static final String`
  `LOGIN_TIME`
  `static final String`
  `PRESENCE_TYPE_INITIAL`
  `static final String`
  `PRESENCE_TYPE_KEY`
  `static final String`
  `RESOURCE`
  `static final String`
  `SM_ID`
  `static final String`
  `USER_ID`
  `static final String`
  `XMPP_SESSION_ID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CachingCmdAbstract(String name, OnlineUsersCachingStrategy strat)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ConnectionRecordExt`
  `getConnectionRecord(tigase.xmpp.jid.JID node, Map<String,String> data)`
  Method takes the data received from other cluster node and creates a ConnectionRecord with all essential connection information.
  `OnlineUsersCachingStrategy`
  `getStrategy()`

  ### Methods inherited from class tigase.cluster.api.CommandListenerAbstract

  `compareTo, equals, getName, getPriority, getStatistics, getSyncInTraffic, getSyncOutTraffic, hashCode, incSyncInTraffic, incSyncOutTraffic, setName, setPriority`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface tigase.cluster.api.CommandListener

  `executeCommand`

- ## Field Details

  - ### CONNECTION_ID

    public static final String CONNECTION_ID
    See Also:
      - Constant Field Values

  - ### CREATION_TIME

    public static final String CREATION_TIME
    See Also:
      - Constant Field Values

  - ### LOGIN_TIME

    public static final String LOGIN_TIME
    See Also:
      - Constant Field Values

  - ### PRESENCE_TYPE_INITIAL

    public static final String PRESENCE_TYPE_INITIAL
    See Also:
      - Constant Field Values

  - ### PRESENCE_TYPE_KEY

    public static final String PRESENCE_TYPE_KEY
    See Also:
      - Constant Field Values

  - ### RESOURCE

    public static final String RESOURCE
    See Also:
      - Constant Field Values

  - ### SM_ID

    public static final String SM_ID
    See Also:
      - Constant Field Values

  - ### USER_ID

    public static final String USER_ID
    See Also:
      - Constant Field Values

  - ### XMPP_SESSION_ID

    public static final String XMPP_SESSION_ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CachingCmdAbstract

    public CachingCmdAbstract(String name, OnlineUsersCachingStrategy strat)

- ## Method Details

  - ### getStrategy

    public OnlineUsersCachingStrategy getStrategy()

  - ### getConnectionRecord

    protected ConnectionRecordExt getConnectionRecord(tigase.xmpp.jid.JID node, Map<String,String> data)
    Method takes the data received from other cluster node and creates a ConnectionRecord with all essential connection information. This might be used later to identify user's XMPPResourceConnection or use the clustering strategy API.